# norootforbuild

Name:				stress
Version:			1.0.4
Release:			3.1
Summary:			Stress imposes a configurable Amount of Load on your System
Source:			http://people.seas.harvard.edu/~apw/stress/stress-%{version}.tar.bz2
Patch1:			stress-cflags-optflags.diff
URL:				http://people.seas.harvard.edu/~apw/stress/
Group:			System/Benchmarks
License:			GNU General Public License (GPL)
BuildRoot:		%{_tmppath}/build-%{name}-%{version}
BuildRequires:	autoconf automake libtool make gcc glibc-devel
%if 0%{?suse_version}
PreReq:			%install_info_prereq
%endif

%if 0%{?suse_version} >= 1310
BuildRequires:	makeinfo
%endif

%description
stress is a simple tool that imposes a configurable amount of CPU, memory,
I/O, and disk stress on POSIX-compliant operating systems. It is written in
portable ANSI C, and uses the GNU Autotools to compile on most UNIX-like
operating systems.

stress is not a benchmark. It is a tool used by system administrators to
evaluate how well their systems will scale, by kernel programmers to evaluate
perceived performance characteristics, and by systems programmers to expose
the classes of bugs which only or more frequently manifest themselves when the
system is under heavy load.

%prep
%setup -q
%patch1

%build
autoreconf -fiv
%configure
%__make OPTFLAGS="%{optflags}" %{?jobs:-j%{jobs}}

%install
%makeinstall
chmod 644 AUTHORS ChangeLog COPYING NEWS README doc/stress.html
rm -f %{buildroot}%{_infodir}/dir

%clean
%__rm -rf "%{buildroot}"

%post
%if 0%{?suse_version}
%install_info --info-dir="%{_infodir}" "%{_infodir}/stress.info.gz"
%endif

%preun
%if 0%{?suse_version}
%install_info_delete --info-dir="%{_infodir}" "%{_infodir}/stress.info.gz"
%endif

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%doc doc/stress.html
%attr(0755,root,root) %{_bindir}/stress
%doc %{_mandir}/man1/stress.1*
%doc %{_infodir}/stress.info*

%changelog
* Sun Mar 27 2010 Carsten Schoene <cs@linux-administrator.com> - 1.0.4-1
- update to release 1.0.4

* Thu Dec 03 2009 Carsten Schoene <cs@linux-administrator.com> - 1.0.2-1
- update to release 1.0.2
 - makes the output work with tee
 - fixed compilation on AIX

* Wed Oct 28 2009 Carsten Schoene <cs@linux-administrator.com> - 1.0.1-1
- update to release 1.0.1
 - Randomization of disk stress was improved. Minor cleanups were done.

* Mon Dec 17 2007 Pascal Bleser <guru@unixtech.be> 1.0.0
- moved to openSUSE Build Service
- new upstream version

* Sun Apr 23 2006 Pascal Bleser <guru@unixtech.be> 0.18.8-2
- removed Packager and Distribution, injected by rpmmacros
- added binary stripping for SUSE < 9.3

* Fri Dec  9 2005 Pascal Bleser <guru@unixtech.be> 0.18.8-1
- added debuginfo support
- rewrote spec file
- new upstream version

* Fri Jul  1 2005 Pascal Bleser <guru@unixtech.be> 0.18.6-1
- version 0.18.6

* Fri Apr  8 2005 Pascal Bleser <guru@unixtech.be> 0.18.4-1
- version 0.18.4

* Fri Nov 19 2004 Pascal Bleser <guru@unixtech.be> 0.18.2-1
- new package

# Local Variables:
# mode: rpm-spec
# tab-width: 3
# End:
